Bug 1151129 - TypeError: sequence item 3: expected string, int found
Summary: TypeError: sequence item 3: expected string, int found
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-blivet
Version: 21
Hardware: ppc64le
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: mulhern
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:2530837fb6bf55032db4cd1a320...
Depends On:
Blocks: F21PPCAlpha
TreeView+ depends on / blocked
 
Reported: 2014-10-09 16:03 UTC by Gustavo Luiz Duarte
Modified: 2014-10-20 23:02 UTC (History)
8 users (show)

Fixed In Version: anaconda-21.48.10-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-20 23:02:13 UTC
Type: ---


Attachments (Terms of Use)
File: anaconda-tb (1.37 MB, text/plain)
2014-10-09 16:03 UTC, Gustavo Luiz Duarte
no flags Details
File: anaconda.log (26.90 KB, text/plain)
2014-10-09 16:03 UTC, Gustavo Luiz Duarte
no flags Details
File: environ (459 bytes, text/plain)
2014-10-09 16:03 UTC, Gustavo Luiz Duarte
no flags Details
File: lsblk_output (4.08 KB, text/plain)
2014-10-09 16:03 UTC, Gustavo Luiz Duarte
no flags Details
File: nmcli_dev_list (6.82 KB, text/plain)
2014-10-09 16:03 UTC, Gustavo Luiz Duarte
no flags Details
File: os_info (377 bytes, text/plain)
2014-10-09 16:03 UTC, Gustavo Luiz Duarte
no flags Details
File: program.log (85.50 KB, text/plain)
2014-10-09 16:03 UTC, Gustavo Luiz Duarte
no flags Details
File: storage.log (814.23 KB, text/plain)
2014-10-09 16:04 UTC, Gustavo Luiz Duarte
no flags Details
File: syslog (170.78 KB, text/plain)
2014-10-09 16:04 UTC, Gustavo Luiz Duarte
no flags Details
File: ifcfg.log (83.84 KB, text/plain)
2014-10-09 16:04 UTC, Gustavo Luiz Duarte
no flags Details
File: packaging.log (95.60 KB, text/plain)
2014-10-09 16:04 UTC, Gustavo Luiz Duarte
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1076383 medium CLOSED btrfs returns ENOTEMPTY when trying to remove a lone subvol 2020-10-14 00:28:05 UTC

Internal Links: 1076383

Description Gustavo Luiz Duarte 2014-10-09 16:03:49 UTC
Description of problem:
Install Fedora 21 Alpha RC1 ppc64le on baremetal P8 using a local disk. Select reclaim space, delete all existing partitions and proceed with automatic partitioning.

Version-Release number of selected component:
anaconda-21.48.8-1

The following was filed automatically by anaconda:
anaconda 21.48.8-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.7/site-packages/blivet/util.py", line 35, in _run_program
    program_log.info("Running... %s", " ".join(argv))
  File "/usr/lib/python2.7/site-packages/blivet/util.py", line 65, in run_program
    return _run_program(*args, **kwargs)[0]
  File "/usr/lib/python2.7/site-packages/blivet/devicelibs/btrfs.py", line 48, in btrfs
    ret = exec_func(argv)
  File "/usr/lib/python2.7/site-packages/blivet/devicelibs/btrfs.py", line 159, in set_default_subvolume
    return btrfs(args)
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 5314, in _setDefaultSubVolumeID
    btrfs.set_default_subvolume(self.originalFormat._mountpoint, vol_id)
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 5486, in _destroy
    self.volume._setDefaultSubVolumeID(self.volume.vol_id)
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 946, in destroy
    self._destroy()
  File "/usr/lib/python2.7/site-packages/blivet/deviceaction.py", line 342, in execute
    self.device.destroy()
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 354, in processActions
    action.execute()
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 354, in doIt
    self.devicetree.processActions()
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 214, in turnOnFilesystems
    storage.doIt()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/install.py", line 178, in doInstall
    turnOnFilesystems(storage, mountOnly=flags.flags.dirInstall)
  File "/usr/lib64/python2.7/threading.py", line 766, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 227, in run
    threading.Thread.run(self, *args, **kwargs)
TypeError: sequence item 3: expected string, int found

Additional info:
addons:         com_redhat_kdump
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   ip=9.3.189.33::9.3.189.1:255.255.255.0:p8euh1:bootdev:none ifname=bootdev:00:90:fa:0d:36:c8 nameserver=9.0.6.11 repo=http://chukar.rch.stglabs.ibm.com/gustavold/f21le/ vnc
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.17.0-300.fc21.ppc64le
product:        Fedora"
release:        Cannot get release name.
type:           anaconda
version:        Fedora

Comment 1 Gustavo Luiz Duarte 2014-10-09 16:03:53 UTC
Created attachment 945382 [details]
File: anaconda-tb

Comment 2 Gustavo Luiz Duarte 2014-10-09 16:03:54 UTC
Created attachment 945383 [details]
File: anaconda.log

Comment 3 Gustavo Luiz Duarte 2014-10-09 16:03:55 UTC
Created attachment 945384 [details]
File: environ

Comment 4 Gustavo Luiz Duarte 2014-10-09 16:03:56 UTC
Created attachment 945385 [details]
File: lsblk_output

Comment 5 Gustavo Luiz Duarte 2014-10-09 16:03:57 UTC
Created attachment 945386 [details]
File: nmcli_dev_list

Comment 6 Gustavo Luiz Duarte 2014-10-09 16:03:58 UTC
Created attachment 945387 [details]
File: os_info

Comment 7 Gustavo Luiz Duarte 2014-10-09 16:03:59 UTC
Created attachment 945388 [details]
File: program.log

Comment 8 Gustavo Luiz Duarte 2014-10-09 16:04:01 UTC
Created attachment 945389 [details]
File: storage.log

Comment 9 Gustavo Luiz Duarte 2014-10-09 16:04:02 UTC
Created attachment 945390 [details]
File: syslog

Comment 10 Gustavo Luiz Duarte 2014-10-09 16:04:04 UTC
Created attachment 945391 [details]
File: ifcfg.log

Comment 11 Gustavo Luiz Duarte 2014-10-09 16:04:05 UTC
Created attachment 945392 [details]
File: packaging.log

Comment 12 mulhern 2014-10-09 18:10:27 UTC
Just a missing conversion, vol_id is an int...needs to be converted to string before it reaches run_program().

Comment 13 Gustavo Luiz Duarte 2014-10-09 20:26:32 UTC
mulhern gently provided an updates image containing a fix for this issue:
http://mulhern.fedorapeople.org/1151129.img

I will test that ASAP.

Comment 14 Gustavo Luiz Duarte 2014-10-09 21:02:55 UTC
Thanks mulhern! The updates image did help!
Could you please start an f21 Anaconda build containing that fix so we can unblock F21 Alpha on PPC?

Comment 15 Fedora Update System 2014-10-15 13:15:49 UTC
anaconda-21.48.10-1.fc21, pykickstart-1.99.63-2.fc21, python-blivet-0.61.5-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/pykickstart-1.99.63-2.fc21,python-blivet-0.61.5-1.fc21,anaconda-21.48.10-1.fc21

Comment 16 Fedora Update System 2014-10-16 17:18:48 UTC
Package anaconda-21.48.10-1.fc21, pykickstart-1.99.63-2.fc21, python-blivet-0.61.5-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-21.48.10-1.fc21 pykickstart-1.99.63-2.fc21 python-blivet-0.61.5-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-12944/pykickstart-1.99.63-2.fc21,python-blivet-0.61.5-1.fc21,anaconda-21.48.10-1.fc21
then log in and leave karma (feedback).

Comment 17 Fedora Update System 2014-10-20 23:02:13 UTC
anaconda-21.48.10-1.fc21, pykickstart-1.99.63-2.fc21, python-blivet-0.61.5-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.